Name:       perl-MooseX-Role-XMLRPC-Client 
Version:    0.04 
Release:    3%{?dist}
# lib/MooseX/Role/XMLRPC/Client.pm -> LGPLv2+
License:    LGPLv2+
Group:      Development/Libraries
Summary:    Provide the needed bits to be a XML-RPC client 
Source:     http://search.cpan.org/CPAN/authors/id/R/RS/RSRCHBOY/MooseX-Role-XMLRPC-Client-%{version}.tar.gz 
Url:        http://search.cpan.org/dist/MooseX-Role-XMLRPC-Client
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
Requires:   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires: perl(HTTP::Cookies)
BuildRequires: perl(MooseX::Role::Parameterized) >= 0.02
BuildRequires: perl(MooseX::Types)
BuildRequires: perl(MooseX::Types::Path::Class)
BuildRequires: perl(MooseX::Types::URI)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(RPC::XML::Client)
# tests
BuildRequires: perl(Test::More)
BuildRequires: perl(Crypt::SSLeay)
# see RT#44197
BuildRequires: perl(CPAN)

%description
This is a Moose role that provides the methods and attributes needed 
to enable a class to serve as an XML-RPC client.  It is parameterized
through MooseX::Role::Parameterized, so you can customize how it embeds
in your class. You can even embed it multiple times with different
paramaterization, if it strikes your fancy :-)


%prep
%setup -q -n MooseX-Role-XMLRPC-Client-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
%{?!_with_network_tests: NO_NET_TESTS=1} make test

%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root,-)
%doc Changes README 
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 0.04-3
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May 01 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.04-1
- update to 0.04

* Mon Apr 27 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.03-1
- update to 0.03
- skip network tests
- br on Crypt::SSLeay and CPAN (see RT#44197)

* Sat Apr 25 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.02-1
- submission

* Sat Apr 25 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.02-0
- update to 0.02

* Mon Apr 13 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.01-0
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.8)

